2017-11-19 10:26 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004346Kali Linux[All Projects] Tool Upgradepublic2017-11-12 13:12
ReporterPuroOsso 
Assigned Tosbrun 
PriorityurgentSeverityminorReproducibilityalways
StatusclosedResolutionno change required 
Product Version2017.2 
Target VersionFixed in Version 
Summary0004346: Help!!! I tried to install Steam in Kali Linux 2.0, and I had some problems!!
DescriptionI recently made Windows 7 Dual Boot with Kali Linux on my PC. I installed Steam on Kali Linux (which was a bad idea, because it completely disconfigured the operating system). I was trying to install Perl on the PC, it was giving an error, and recommended that I use the "apt -broken-install" command in Terminal, whenever I tried to do this command, it would return another error. What can I do? I'll leave the print and the result of the terminal here. I suppose that this error was caused by the attempt to install Steam, because I had to install a package that contained the same name of the package of the error.

root@PuroOsso:~# apt-get install perl
Reading package lists... Done
Building dependency tree
Reading state information... Done
perl is already the newest version (5.26.1-2).
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 gcc-7-multilib : Depends: libc6-dev-i386 (>= 2.11) but it is not going to be installed
 libc6-dev-x32 : Depends: libc6-dev-i386 (= 2.24-17) but it is not going to be installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).
root@PuroOsso:~# apt --fix-broken install
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  apg cheese-common diffstat fakeroot finger folks-common freepats gettext
  gir1.2-evince-3.0 gir1.2-gmenu-3.0 gir1.2-gst-plugins-base-1.0
  gir1.2-gstreamer-1.0 gnome-control-center-data gstreamer1.0-libav
  gstreamer1.0-plugins-bad gstreamer1.0-plugins-ugly hashcat-data
  intltool-debian liba52-0.7.4 libalgorithm-diff-perl
  libalgorithm-diff-xs-perl libalgorithm-merge-perl libapt-pkg-perl
  libarchive-zip-perl libasan3 libass9 libavfilter6 libavformat57
  libboost-atomic1.62.0 libboost-chrono1.62.0 libboost-program-options1.62.0
  libboost-serialization1.62.0 libboost-test1.62.0 libboost-timer1.62.0
  libbs2b0 libcdt5 libcgal12 libcgraph6 libchromaprint1
  libclang-common-3.8-dev libclang1-3.8 libclass-accessor-perl
  libclutter-1.0-common libcogl-common libcolord-gtk1 libdc1394-22 libdca0
  libde265-0 libdee-1.0-4 libdouble-conversion1 libdrm-dev
  libedataserverui-1.2-1 libemail-valid-perl libexporter-tiny-perl libfaad2
  libfakeroot libffi-dev libflite1 libfluidsynth1 libfolks-eds25
  libfolks-telepathy25 libfolks25 libgcc-6-dev libgme0 libgnome-menu-3-0
  libgstreamer-plugins-bad1.0-0 libgts-0.7-5 libgts-bin libgvc6
  libhwloc-plugins libhwloc5 libio-pty-perl libio-string-perl libipc-run-perl
  libkate1 liblilv-0-0 liblirc-client0 liblist-moreutils-perl libllvm3.8
  liblwgeom-2.3-0 liblwgeom-dev libmjpegutils-2.1-0 libmms0 libmodplug1
  libmpcdec6 libmpeg2-4 libmpeg2encpp-2.1-0 libmplex2-2.1-0 libmusicbrainz5-2
  libmusicbrainz5cc2v5 libnet-domain-tld-perl libnss-myhostname libobjc-6-dev
  libobjc4 libofa0 libopencore-amrnb0 libopencore-amrwb0
  libopencv-calib3d2.4v5 libopencv-core2.4v5 libopencv-features2d2.4v5
  libopencv-flann2.4v5 libopencv-highgui2.4-deb0 libopencv-imgproc2.4v5
  libopencv-objdetect2.4v5 libopencv-video2.4v5 libopenmpt0
  libparse-debianchangelog-perl libpathplan4 libperlio-gzip-perl libpgm-5.2-0
  libpocl1-common libpostproc54 libqgis-customwidgets
  libqgis-networkanalysis2.14.18 libqt5concurrent5 libqt5core5a libqt5dbus5
  libqt5network5 libqt5qml5 libqt5scintilla2-l10n libqt5sql5 libqt5sql5-sqlite
  libqt5test5 libqt5xml5 libqt5xmlpatterns5 librubberband2 librygel-core-2.6-2
  librygel-db-2.6-2 librygel-renderer-2.6-2 librygel-server-2.6-2 libserd-0-0
  libsfcgal1 libsidplay1v5 libsord-0-0 libsoundtouch1 libsratom-0-0 libsrtp0
  libstdc++-6-dev libstdc++-7-dev libswscale4 libtbb2 libtext-levenshtein-perl
  libtinfo-dev libvo-aacenc0 libvo-amrwbenc0 libvulkan1 libwildmidi-config
  libwildmidi2 libx11-xcb-dev libxcb-dri2-0-dev libxcb-dri3-dev
  libxcb-glx0-dev libxcb-present-dev libxcb-randr0-dev libxcb-render0-dev
  libxcb-shape0-dev libxcb-sync-dev libxcb-xfixes0-dev libxcb-xinerama0
  libxdamage-dev libxdot4 libxext-dev libxfixes-dev libxml-simple-perl
  libxshmfence-dev libxxf86vm-dev libyaml-libyaml-perl libzbar0
  libzeitgeist-2.0-0 libzmq5 llvm-3.8 llvm-3.8-dev llvm-3.8-runtime
  mesa-common-dev mousetweaks patchutils python-cycler python-elixir
  python-functools32 python-matplotlib python-pyspatialite python-qgis
  python-qgis-common python-qt4-sql python-rsvg python-shapely
  python-subprocess32 qt4-designer qttranslations5-l10n rwho rwhod rygel
  totem-common x11-apps x11proto-damage-dev x11proto-dri2-dev
  x11proto-fixes-dev x11proto-gl-dev x11proto-xext-dev
  x11proto-xf86vidmode-dev xsltproc zeitgeist-core
Use 'apt autoremove' to remove them.
The following additional packages will be installed:
  libc6-dev-i386
The following NEW packages will be installed:
  libc6-dev-i386
0 upgraded, 1 newly installed, 0 to remove and 798 not upgraded.
117 not fully installed or removed.
Need to get 0 B/1654 kB of archives.
After this operation, 9175 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
Setting up libselinux1:amd64 (2.7-2) ...
(Reading database ... 343798 files and directories currently installed.)
Preparing to unpack .../libc6-dev-i386_2.24-17_amd64.deb ...
Unpacking libc6-dev-i386 (2.24-17) ...
dpkg: error processing archive /var/cache/apt/archives/libc6-dev-i386_2.24-17_amd64.deb (--unpack):
 trying to overwrite '/usr/include/bits', which is also in package libc6-dev-amd64:i386 2.24-17
Errors were encountered while processing:
 /var/cache/apt/archives/libc6-dev-i386_2.24-17_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@PuroOsso:~#
Attached Files

-Relationships
+Relationships

-Notes

~0007592

muts (administrator)

Thanks for your interest in Kali. This is a bug tracker, not a forum. Please post your question in the appropriate community section (such as the forums, or IRC). We welcome you to read https://kali.training/introduction/kali-linux-revealed-book/ and get some more insight into the inner workings of our distribution.
+Notes

-Issue History
Date Modified Username Field Change
2017-11-12 13:09 PuroOsso New Issue
2017-11-12 13:09 PuroOsso Status new => assigned
2017-11-12 13:09 PuroOsso Assigned To => sbrun
2017-11-12 13:09 PuroOsso File Added: Screenshot from 2017-11-12 10-45-17.png
2017-11-12 13:12 muts Status assigned => closed
2017-11-12 13:12 muts Resolution open => fixed
2017-11-12 13:12 muts Note Added: 0007592
2017-11-12 13:12 muts Resolution fixed => no change required
+Issue History